#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x04b533ad, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x9a4b5d2e, "_gpl");
SYMBOL_CRC(ahci_ops, 0xf3804713, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xbb09004e, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xd1d9bb0f, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x8b7e85c0, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x6bcde8c2, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x88feba2b, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xf1c17b81, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xdc2922f8, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x92fa59a9, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x7aed843b, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x91809df1, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x43df75bc, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x002a42ea, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x457205d7, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x00895c4b, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x16ed3b5f, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x6f0733d2, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x6280e527, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xd458e00f, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x6e265050, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xdd3473d4, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xe87a4770, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3fc61db, "_dev_err" },
	{ 0x9da5a54b, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xe1cbe9ec, "ata_std_qc_defer" },
	{ 0xef683c49, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0x9cc698b6, "ata_port_classify" },
	{ 0xdf6fe5ac, "ata_qc_complete_multiple" },
	{ 0x00e1f455, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x537910aa, "sata_pmp_error_handler" },
	{ 0x65df7ba8, "ata_host_start" },
	{ 0x916449d6, "devm_request_threaded_irq" },
	{ 0xc24a3a78, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa2693367, "ata_host_register" },
	{ 0xb30b3d98, "ata_host_activate" },
	{ 0x31165505, "ata_dummy_port_ops" },
	{ 0x5b66cc8d, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0x975e7e50, "dmam_alloc_attrs" },
	{ 0xe6ec9b7f, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ddfcaa, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x826e37e3, "sata_link_hardreset" },
	{ 0x3e4eb203, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x77bd462f, "sata_lpm_ignore_phy_events" },
	{ 0xe161ea05, "ata_ehi_clear_desc" },
	{ 0x35a46b17, "ata_ehi_push_desc" },
	{ 0x950c404b, "sata_async_notification" },
	{ 0x7aa7e090, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa495219d, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x75537bc7, "param_ops_int" },
	{ 0x6fcad1c1, "param_ops_bool" },
	{ 0xf36c0c7c, "sata_pmp_port_ops" },
	{ 0x098f6b5d, "dev_attr_sw_activity" },
	{ 0x5dd8c452, "dev_attr_unload_heads" },
	{ 0xe787042f, "dev_attr_ncq_prio_supported" },
	{ 0xda686777, "dev_attr_ncq_prio_enable" },
	{ 0xbb40a5b9, "dev_attr_link_power_management_policy" },
	{ 0x024ba0a4, "dev_attr_em_message_type" },
	{ 0xc5960e21, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdb0d2dca, "__pm_runtime_resume" },
	{ 0x1c31cb1d, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xadc17dbe, "ata_link_next" },
	{ 0xc9e93bb4, "ata_wait_register" },
	{ 0x91adc52e, "ata_dev_set_feature" },
	{ 0x6b150337, "_dev_info" },
	{ 0x61e02046, "ata_msleep" },
	{ 0xdfc2a6e1, "sata_link_scr_lpm" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "0C6A7C1E0ADD2F318939B06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
