#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0x527ce9f0, "drm_crtc_helper_mode_valid_fixed" },
	{ 0xa3f9a909, "drm_connector_helper_get_modes_fixed" },
	{ 0xe62b3e21, "driver_unregister" },
	{ 0x468d7823, "device_get_match_data" },
	{ 0x34a1ddb1, "dma_set_mask" },
	{ 0xfef01687, "dma_set_coherent_mask" },
	{ 0x4f717172, "__devm_drm_dev_alloc" },
	{ 0x6e1f486e, "drmm_mode_config_init" },
	{ 0xf2ba008c, "devm_gpiod_get" },
	{ 0x2ab477c4, "device_property_read_string" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0xecd526e1, "drm_connector_init" },
	{ 0xb2980ded, "drm_simple_display_pipe_init" },
	{ 0x551d96dd, "drm_mode_config_reset" },
	{ 0xc3025887, "drm_dev_register" },
	{ 0x5deba086, "__drm_dev_dbg" },
	{ 0x5cc55c64, "drm_client_setup" },
	{ 0x2bafc3d7, "thermal_zone_get_zone_by_name" },
	{ 0x588043b4, "drm_dev_printk" },
	{ 0xfa812408, "spi_get_device_id" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x8485fe03, "gpiod_set_value_cansleep" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xe983ee5a, "drm_atomic_helper_damage_merged" },
	{ 0x24e99aa5, "drm_format_conv_state_release" },
	{ 0xe5581258, "drm_fb_dma_get_gem_obj" },
	{ 0x42860350, "drm_dev_enter" },
	{ 0x4d2575ac, "thermal_zone_get_temp" },
	{ 0x66c3bb90, "drm_gem_fb_begin_cpu_access" },
	{ 0x70ebf155, "drm_fb_xrgb8888_to_mono" },
	{ 0x7ac5332e, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x845a608a, "gpiod_get_value_cansleep" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x06cf9b84, "drm_gem_dma_prime_import_sg_table_vmap" },
	{ 0x143ef3e9, "drm_gem_dma_dumb_create" },
	{ 0x03d21a7f, "drm_fbdev_dma_driver_fbdev_probe" },
	{ 0x713f550e, "noop_llseek" },
	{ 0xd533aa4d, "drm_read" },
	{ 0x69968137, "drm_poll" },
	{ 0xbd05e8ed, "drm_ioctl" },
	{ 0xcf4b1f9d, "drm_compat_ioctl" },
	{ 0xf639d0b6, "drm_gem_mmap" },
	{ 0x035474ca, "drm_open" },
	{ 0x80cc8985, "drm_release" },
	{ 0xbd183259, "drm_gem_fb_create_with_dirty" },
	{ 0x80b5de72, "drm_atomic_helper_check" },
	{ 0xb0138ede, "drm_atomic_helper_commit" },
	{ 0x7d97f702, "drm_atomic_helper_connector_reset" },
	{ 0xf9a9db05, "drm_helper_probe_single_connector_modes" },
	{ 0xad3cd6c6, "drm_connector_cleanup" },
	{ 0xf95bc43c, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xa762a8cd, "drm_atomic_helper_connector_destroy_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d28ad8f, "__spi_register_driver" },
	{ 0x67d44570, "drm_atomic_helper_shutdown" },
	{ 0x91834eea, "drm_dev_unplug" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x790b551b, "spi_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69acdf38, "memcpy" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "drm_dma_helper");

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "3745B6B93C2393419B1CCB6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
