#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x5b24b22b, "");
SYMBOL_CRC(ishtp_start, 0x36f606fe, "");
SYMBOL_CRC(ishtp_send_suspend, 0x48b93a23, "");
SYMBOL_CRC(ishtp_send_resume, 0xa18c3210, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x5a30f1c5, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xe8a414df, "");
SYMBOL_CRC(ishtp_cl_free, 0xeb64cf22, "");
SYMBOL_CRC(ishtp_cl_link, 0xea5b72fd, "");
SYMBOL_CRC(ishtp_cl_unlink, 0xdd82fc31, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x0f21a8f8, "");
SYMBOL_CRC(ishtp_cl_connect, 0xcca2d408, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0xd095bd50, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0xc0aed363, "");
SYMBOL_CRC(ishtp_cl_send, 0x7c386766, "");
SYMBOL_CRC(ishtp_get_client_data, 0x5854eee0, "");
SYMBOL_CRC(ishtp_set_client_data, 0x78880756, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x71059f35, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0xb5e954ca, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x9ced2bb8, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xf8c2534d, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xb292ed07, "");
SYMBOL_CRC(ishtp_recv, 0xb163885f, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xadd91541, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0xfa3bc99a, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0xb07fdfae, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0xab971afa, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x3fffc334, "");
SYMBOL_CRC(ishtp_get_device, 0xc70f9676, "");
SYMBOL_CRC(ishtp_put_device, 0xd9cb8a8b, "");
SYMBOL_CRC(ishtp_set_drvdata, 0xb8ec0da5, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xdaac5881, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xad0dd9e2, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x6c0ac587, "");
SYMBOL_CRC(ishtp_reset_handler, 0x697f8f46, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xd3f40377, "");
SYMBOL_CRC(ishtp_device, 0xc4aea06a, "");
SYMBOL_CRC(ishtp_wait_resume, 0xd50c58e6, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xe3e39e8a, "");
SYMBOL_CRC(ishtp_trace_callback, 0x495bf2ad, "");
SYMBOL_CRC(ish_hw_reset, 0x4a96ec6d, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x31cfab35, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x3b5ccc8c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5415e6a7, "put_device" },
	{ 0x6b150337, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e097822, "bus_unregister" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1389d164, "dma_alloc_attrs" },
	{ 0xe62b3e21, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfc5dee8d, "device_register" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x0c805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc17d04ed, "dma_free_attrs" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d3ea814, "dev_err_probe" },
	{ 0x454ffcfb, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0x75537bc7, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xee680486, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x6f8e5a9d, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xca4f5856, "firmware_request_nowarn" },
	{ 0xdc7b881a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6422f61, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "12E3F535B273D695E26BAAE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
