#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_create_ucap, "", "");
KSYMTAB_FUNC(ib_remove_ucap, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xaf2e14f2, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0x0ec19b24, "");
SYMBOL_CRC(flow_resources_alloc, 0x2f01a9c4, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x6c08802e, "");
SYMBOL_CRC(flow_resources_add, 0x71c35e6e, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xf046ab89, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xf8588d22, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(uverbs_uobject_put, 0xc7dae83c, "");
SYMBOL_CRC(uverbs_try_lock_object, 0x1d6b144b, "");
SYMBOL_CRC(uverbs_idr_class, 0xdd3a7f17, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x5832196c, "");
SYMBOL_CRC(uverbs_fd_class, 0xa7f8c66e, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xbfa48702, "");
SYMBOL_CRC(_uverbs_alloc, 0xb04412d4, "");
SYMBOL_CRC(uverbs_get_flags64, 0xa2780e30, "");
SYMBOL_CRC(uverbs_get_flags32, 0xd650c3bc, "");
SYMBOL_CRC(uverbs_copy_to, 0x71c29c44, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x68fba8aa, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x70ffc329, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xb4727412, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x2751b394, "");
SYMBOL_CRC(ib_create_ucap, 0xee11e132, "");
SYMBOL_CRC(ib_remove_ucap, 0x5006a537, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xc77984c4, "");
SYMBOL_CRC(ib_umem_get, 0xf806cbf0, "");
SYMBOL_CRC(ib_umem_release, 0xa0ad5a2b, "");
SYMBOL_CRC(ib_umem_copy_from, 0xadd8084b, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xeddc9912, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x3c1dd85c, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xa07a1bbc, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x80e05356, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x49853b83, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0x869bd5ae, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xf297ba09, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x66cf3573, "");
SYMBOL_CRC(ib_umem_odp_get, 0x2c05caac, "");
SYMBOL_CRC(ib_umem_odp_release, 0x4feeb68e, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xbcc534b1, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x983da938, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5946061, "dma_buf_get" },
	{ 0x10dfd4ae, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xd667ca0c, "ww_mutex_lock" },
	{ 0xdeea02df, "const_current_task" },
	{ 0xb9159310, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2acc646a, "ib_qp_usecnt_inc" },
	{ 0x06d02a1d, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x750100be, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf580803e, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x96ad390b, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf04c1a72, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1b95af94, "rdma_create_user_ah" },
	{ 0x0a2f0bad, "rdma_destroy_ah_user" },
	{ 0x60afb28e, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x916bcbda, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x6aeff1a9, "__mmdrop" },
	{ 0x0b8944fd, "rdma_restrack_del" },
	{ 0x0a0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x633f49d8, "set_page_dirty" },
	{ 0x0745a981, "xa_erase" },
	{ 0x5bc7fa06, "__mmap_lock_do_trace_start_locking" },
	{ 0x030103dc, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7230beea, "fdget" },
	{ 0x4998d99d, "igrab" },
	{ 0x752b4915, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc5811fe7, "mmput" },
	{ 0x156539d3, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7ea54db0, "__tracepoint_mmap_lock_start_locking" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82ff6f9c, "__mmap_lock_do_trace_released" },
	{ 0xfd0ee39f, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x4b546948, "__srcu_read_unlock" },
	{ 0xa2d3c429, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd8b533dd, "alloc_pages_noprof" },
	{ 0x43a0b190, "ib_dealloc_xrcd_user" },
	{ 0x5b6181ff, "dma_buf_detach" },
	{ 0x0a78e6de, "stream_open" },
	{ 0xea919f6f, "mmu_interval_notifier_insert" },
	{ 0xd1a662c0, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x34a5ea0e, "ib_open_qp" },
	{ 0x61d08faa, "ib_dealloc_pd_user" },
	{ 0xb53a5ead, "rdma_get_gid_attr" },
	{ 0xc0abd52c, "dma_unmap_sg_attrs" },
	{ 0x3f894346, "rdma_port_get_link_layer" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xc9cef5eb, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xceaa1c58, "rdma_query_gid_table" },
	{ 0x391734e9, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd3e0945b, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x240c5203, "ib_attach_mcast" },
	{ 0x47ce1ad5, "__kvmalloc_node_noprof" },
	{ 0xfaaab1dc, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x13506619, "ib_destroy_wq_user" },
	{ 0x45a99791, "put_pid" },
	{ 0xdab340ba, "class_register" },
	{ 0x3e3e8275, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x3fdd869b, "rdma_user_mmap_entry_put" },
	{ 0xc30fd9d0, "pin_user_pages_fast" },
	{ 0x6ffe13d7, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x1f52e247, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xeed79032, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x15dfc27f, "ib_unregister_client" },
	{ 0xe161bbd8, "show_class_attr_string" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc441a632, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xdc7b881a, "dev_set_name" },
	{ 0xa7904d0c, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xec238c2b, "mmu_interval_read_begin" },
	{ 0x7420b26c, "ib_create_qp_user" },
	{ 0x13d7fe65, "dma_resv_wait_timeout" },
	{ 0xa722a38a, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xade8cafb, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x15b6de38, "kill_fasync" },
	{ 0xdb7893c5, "dma_unmap_page_attrs" },
	{ 0xa1d605ea, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xa329b835, "fget" },
	{ 0x7613621f, "__put_task_struct" },
	{ 0x022abf0a, "ib_query_srq" },
	{ 0xddcb97fd, "ww_mutex_unlock" },
	{ 0x3a5f82be, "device_initialize" },
	{ 0x360d36d9, "__dynamic_ibdev_dbg" },
	{ 0x556d98cd, "ib_rdmacg_try_charge" },
	{ 0xa7e60fd4, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcb47f545, "sg_alloc_append_table_from_pages" },
	{ 0x037a0cba, "kfree" },
	{ 0x749c5d2e, "unpin_user_page_range_dirty_lock" },
	{ 0xc7da3462, "iput" },
	{ 0x95beabbe, "dma_buf_unpin" },
	{ 0x6619714f, "zap_vma_ptes" },
	{ 0x5061ae8d, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2062e088, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba0b96a5, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfd7188e2, "rdma_dev_access_netns" },
	{ 0x1663d51a, "get_device" },
	{ 0xe3f8558e, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc68bf2da, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xc941944c, "dma_buf_dynamic_attach" },
	{ 0xa80f7d71, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x1d43c358, "ib_destroy_srq_user" },
	{ 0xad152a1d, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x2c0a2735, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee6799db, "dma_map_page_attrs" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6cd40e97, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x1498687b, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x5415e6a7, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xdd08dc9f, "ib_modify_qp_with_udata" },
	{ 0xaff52b40, "ib_register_event_handler" },
	{ 0xfc28e2f5, "ib_detach_mcast" },
	{ 0xc0afde1b, "dma_buf_map_attachment" },
	{ 0x94d51d97, "__free_pages" },
	{ 0xa443d98f, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1fa54d8e, "module_put" },
	{ 0x98045bb6, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xec43b5b2, "compat_ptr_ioctl" },
	{ 0x88f429b8, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xc39c753b, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78b6d8c2, "init_srcu_struct" },
	{ 0x672c8e7e, "fput" },
	{ 0x57921f4c, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x99e512ed, "simple_open" },
	{ 0xe6394c28, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0xf87ea6d5, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x62f5532e, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "6B9A9168E6D335064EC81C3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
