#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x6927f20f, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x71d02a52, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x6c1384fb, "");
SYMBOL_CRC(rdma_res_to_id, 0xdeac7961, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xdf19629e, "");
SYMBOL_CRC(rdma_create_user_id, 0x60263942, "");
SYMBOL_CRC(rdma_create_qp, 0x970fccf7, "");
SYMBOL_CRC(rdma_destroy_qp, 0x3ff8ef5c, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xc1017622, "");
SYMBOL_CRC(rdma_destroy_id, 0x3bddf687, "");
SYMBOL_CRC(rdma_get_service_id, 0xf5eb44ed, "");
SYMBOL_CRC(rdma_read_gids, 0xbdc69e66, "");
SYMBOL_CRC(rdma_set_service_type, 0xdf207070, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x3577c1cd, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xb726173b, "");
SYMBOL_CRC(rdma_set_ib_path, 0xebd4b4de, "");
SYMBOL_CRC(rdma_resolve_route, 0x9b4a7cdd, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x9ee2b6e9, "");
SYMBOL_CRC(rdma_set_afonly, 0xeacede57, "");
SYMBOL_CRC(rdma_listen, 0xb1900213, "");
SYMBOL_CRC(rdma_resolve_addr, 0x46b1baee, "");
SYMBOL_CRC(rdma_bind_addr, 0x228e6d39, "");
SYMBOL_CRC(rdma_connect_locked, 0xe5bd26f6, "");
SYMBOL_CRC(rdma_connect, 0x699caba3, "");
SYMBOL_CRC(rdma_connect_ece, 0x33a68c8f, "");
SYMBOL_CRC(rdma_accept, 0x964398f6, "");
SYMBOL_CRC(rdma_accept_ece, 0xbe2fcd6b, "");
SYMBOL_CRC(rdma_lock_handler, 0x5e2a25dd, "");
SYMBOL_CRC(rdma_unlock_handler, 0x24815eaa, "");
SYMBOL_CRC(rdma_notify, 0x1a7cebd3, "");
SYMBOL_CRC(rdma_reject, 0xa9715a9b, "");
SYMBOL_CRC(rdma_disconnect, 0x87ab3edb, "");
SYMBOL_CRC(rdma_join_multicast, 0x14e06c9a, "");
SYMBOL_CRC(rdma_leave_multicast, 0x6722f119, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x12de7017, "iw_cm_connect" },
	{ 0x1498687b, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb51f77fe, "rdma_addr_cancel" },
	{ 0x053a3e4e, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x2679b159, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x98045bb6, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x521e8779, "ib_sa_path_rec_get" },
	{ 0x9c31f547, "ib_create_cm_id" },
	{ 0xd8b1a0f4, "__ip_mc_dec_group" },
	{ 0x659f3b2c, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x36f12e16, "perf_trace_run_bpf_submit" },
	{ 0x953de427, "ib_init_ah_from_mcmember" },
	{ 0x60cf299d, "rdma_destroy_ah_attr" },
	{ 0x57921f4c, "ib_set_client_data" },
	{ 0xb256c4bb, "init_net" },
	{ 0x77117309, "ib_get_cached_pkey" },
	{ 0x519c127b, "configfs_register_subsystem" },
	{ 0x378da9e3, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x62f5532e, "rdma_put_gid_attr" },
	{ 0xa22b2613, "config_group_init_type_name" },
	{ 0xb8b2eb66, "dev_get_by_index" },
	{ 0x4db5ebc2, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6e49e72, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x335ba73c, "ib_send_cm_rep" },
	{ 0xdeea02df, "const_current_task" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x45957a35, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x284165d2, "bpf_trace_run1" },
	{ 0x96ad390b, "ib_destroy_qp_user" },
	{ 0xb39a1dd8, "unregister_pernet_subsys" },
	{ 0xae23465e, "ib_cm_init_qp_attr" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x6a322aca, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf04c1a72, "rdma_restrack_set_name" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x0333a1bf, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xcef72c83, "ib_get_cached_port_state" },
	{ 0xd8d54ca0, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0b8944fd, "rdma_restrack_del" },
	{ 0x8f525d84, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x76134e8a, "bpf_trace_run3" },
	{ 0x00e9cab8, "__put_net" },
	{ 0x5c2d14fc, "rdma_restrack_parent_name" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x78ba4ec2, "iw_cm_accept" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd562e54e, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7b75dcc, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x05648052, "iw_cm_init_qp_attr" },
	{ 0x64e404af, "dst_release" },
	{ 0x1a28d1b3, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9ded3dee, "ib_send_cm_dreq" },
	{ 0xd7d859e7, "ib_send_cm_req" },
	{ 0xf4032116, "ib_create_qp_kernel" },
	{ 0x9a59fe63, "ib_sa_join_multicast" },
	{ 0xfc864ad2, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb53a5ead, "rdma_get_gid_attr" },
	{ 0xc9cef5eb, "rdma_restrack_new" },
	{ 0x4a2d7487, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x0a711a50, "iw_cm_listen" },
	{ 0x011a52c3, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x81a0d673, "rdma_copy_src_l2_addr" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xae8b1f77, "rdma_resolve_ip" },
	{ 0x6ae06c3b, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xae65b19f, "iw_create_cm_id" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x15dfc27f, "ib_unregister_client" },
	{ 0x4c46786f, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcc71b036, "ib_send_cm_sidr_rep" },
	{ 0x545b8c2d, "bpf_trace_run4" },
	{ 0x8d918e18, "config_group_init" },
	{ 0xdf8af7d2, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xd810d1cb, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0x7337d0b2, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x0c86f5cb, "ib_sa_register_client" },
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x270c24a4, "rdma_query_gid" },
	{ 0xe8a28199, "rt6_lookup" },
	{ 0x6d9bd55f, "rdma_translate_ip" },
	{ 0x4244b47e, "bpf_trace_run2" },
	{ 0xfd7188e2, "rdma_dev_access_netns" },
	{ 0x40f3df81, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x08e286d9, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56f7a902, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x186e398b, "register_pernet_subsys" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0x7950e60c, "ip_mc_inc_group" },
	{ 0xad152a1d, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xd6808525, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "6ADD88A853892AEAF8386C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
