#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x74bff197, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0xa63baddb, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0xafae1c0f, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x6dfeb65f, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0xc52ba885, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x1bc965a5, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0xd281abfa, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0xb2647227, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0xd94743a2, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x474be750, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x979065d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf21935f0, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3ab2f248, "__sdio_register_driver" },
	{ 0xafaf76e2, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc0d9e1aa, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x310f0878, "mmc_wait_for_req" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa5c07405, "__pskb_pull_tail" },
	{ 0x3f87dc05, "netif_rx" },
	{ 0xe4ecec29, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x0e2cc239, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2b40300a, "skb_trim" },
	{ 0xe4b40e77, "skb_unlink" },
	{ 0x742c15ab, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4021cc1f, "kthread_create_on_node" },
	{ 0xb2d36f46, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9ed28124, "pm_runtime_forbid" },
	{ 0x32e5ac6b, "brcmu_pktq_mdeq" },
	{ 0x9fb5b3be, "cfg80211_unregister_wdev" },
	{ 0x4cc08d56, "pci_pme_capable" },
	{ 0xff0e5cb4, "brcmu_pktq_penq" },
	{ 0xc17d04ed, "dma_free_attrs" },
	{ 0x63539ffa, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x61ec0aed, "__platform_driver_probe" },
	{ 0xf9992eb4, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x46c8faf9, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xef1ed740, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x62da6980, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xe9e5b5c2, "usb_kill_urb" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0d8f201, "netif_carrier_off" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x1f209df1, "netif_carrier_on" },
	{ 0x932d4684, "brcmu_pkt_buf_get_skb" },
	{ 0x98654a32, "mmc_hw_reset" },
	{ 0xb4f9e4e7, "sdio_retune_release" },
	{ 0xaf37160f, "debugfs_create_file_full" },
	{ 0x5f4d7b39, "sdio_claim_irq" },
	{ 0xf8b31335, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe54d5fc5, "pci_disable_device" },
	{ 0xea5d8def, "pci_match_id" },
	{ 0xb4d3e4c4, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4fa3c70e, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x812305d1, "send_sig" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xdebaeffe, "cfg80211_inform_bss_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x863f8409, "gcd" },
	{ 0x65f5e38d, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x37dbb9c6, "dev_kfree_skb_any_reason" },
	{ 0x75537bc7, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a8ecc0a, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x3ee3facf, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x33be1c86, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88cd9319, "pci_write_config_dword" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9b665c8e, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb4bb2d02, "sdio_readb" },
	{ 0x27b2f8b6, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xc518c71f, "brcmu_pktq_mlen" },
	{ 0xa7338ce5, "cfg80211_sched_scan_results" },
	{ 0x727c7ecb, "sdio_retune_hold_now" },
	{ 0xf70f5198, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5e294b65, "usb_alloc_urb" },
	{ 0x5170031a, "sdio_disable_func" },
	{ 0xf111075b, "cfg80211_mgmt_tx_status_ext" },
	{ 0x9c7617d9, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x0bc4db07, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7c664d30, "sdio_set_block_size" },
	{ 0xd33a8cb9, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7dae9ff6, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0xbae0b387, "pci_enable_device" },
	{ 0x5a78bfab, "skb_put" },
	{ 0x50cb4a22, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x45839253, "sdio_retune_crc_disable" },
	{ 0xeea8b3ff, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xca4f5856, "firmware_request_nowarn" },
	{ 0x51d6feaf, "platform_driver_unregister" },
	{ 0xebe80477, "sdio_claim_host" },
	{ 0xf66b73fc, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x90601d33, "sdio_memcpy_fromio" },
	{ 0xa343473a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xa904113e, "unregister_netdev" },
	{ 0xc014af56, "cfg80211_remain_on_channel_expired" },
	{ 0xca1a1abb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa871b73c, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xdb7893c5, "dma_unmap_page_attrs" },
	{ 0x7b0eb73a, "request_firmware" },
	{ 0xbe978e3f, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x22610d9d, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x44328592, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x06a86bc1, "iowrite16" },
	{ 0x9ef2cd0d, "cfg80211_port_authorized" },
	{ 0x8cf4f249, "brcmu_pktq_init" },
	{ 0xc0fb5872, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe854f980, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb54656e9, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x70689986, "cfg80211_disconnected" },
	{ 0x6fa535ad, "ether_setup" },
	{ 0xeceaf359, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6b52c99, "pskb_expand_head" },
	{ 0xba34c4d2, "wake_up_process" },
	{ 0xe6ec9b7f, "dev_driver_string" },
	{ 0xa866b510, "dev_addr_mod" },
	{ 0x3eed076a, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x2108bda6, "eth_type_trans" },
	{ 0xa192bc70, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee6799db, "dma_map_page_attrs" },
	{ 0x6f2a3678, "alloc_netdev_mqs" },
	{ 0x582a56da, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xe12cdf8b, "cfg80211_ready_on_channel" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd9f2f341, "cfg80211_classify8021d" },
	{ 0x3028ff4f, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x390c885e, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc466d05f, "cfg80211_crit_proto_stopped" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x885f995c, "wiphy_register" },
	{ 0xf143c1e9, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x823a4d22, "cfg80211_put_bss" },
	{ 0x4039f340, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4f9963fc, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x6b150337, "_dev_info" },
	{ 0xe2852adc, "skb_queue_tail" },
	{ 0xf52003e2, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x87993741, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x409bcc90, "sdio_set_host_pm_flags" },
	{ 0x14575f2b, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x432b9fae, "sdio_unregister_driver" },
	{ 0x7842fcc2, "sdio_readsb" },
	{ 0x0a81e86c, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd2780dd, "pci_enable_msi" },
	{ 0x839baf5e, "efi" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x0d77c660, "device_wakeup_enable" },
	{ 0x661b3346, "cfg80211_ibss_joined" },
	{ 0x0bc68998, "request_firmware_nowait" },
	{ 0x99e512ed, "simple_open" },
	{ 0x5f5e4d4b, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9873f8ce, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a357cbc, "wiphy_apply_custom_regulatory" },
	{ 0x14d6c49e, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e452e53, "skb_push" },
	{ 0x91e743ff, "sdio_retune_crc_enable" },
	{ 0xeba43069, "brcmu_pktq_flush" },
	{ 0x51ad4bcd, "brcmu_pktq_peek_tail" },
	{ 0x1389d164, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x98600194, "cfg80211_del_sta_sinfo" },
	{ 0xdfe6966f, "sdio_readl" },
	{ 0x1d4ae9c5, "mmc_set_data_timeout" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xdeea02df, "const_current_task" },
	{ 0xdaed2c6e, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x34237c16, "wiphy_unregister" },
	{ 0xf877e8eb, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3351a60d, "kthread_stop" },
	{ 0xa3f3b8de, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3d9ae004, "usb_deregister" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7ced36af, "netif_tx_wake_queue" },
	{ 0x0b19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x6d89cc6a, "brcmu_pktq_pdeq_match" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mmc_core,brcmutil,usbcore");

MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000449Dsv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");

MODULE_INFO(srcversion, "0D7175919BFD74666FCFC51");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
