#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x3797d9af, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x6ccc3b4e, "_gpl");
SYMBOL_CRC(mt76s_wr, 0xa704db81, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x2aa720b4, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xfe9ae638, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xece63c52, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x0a9bf89f, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xfd4af5ee, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x6dd1b238, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x9d7d16bc, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xa16817c1, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xef7f71bf, "_gpl");
SYMBOL_CRC(mt76s_init, 0x2dfd13c9, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x36750d75, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x73907399, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x4af4dc00, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x38324086, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6b52c99, "pskb_expand_head" },
	{ 0x4f654371, "mt76_tx_status_check" },
	{ 0xba34c4d2, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9a4ec8d, "__alloc_pages_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x390c885e, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa090a310, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7842fcc2, "sdio_readsb" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x20d4b98c, "__SCK__tp_func_dev_irq" },
	{ 0xdfe6966f, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3351a60d, "kthread_stop" },
	{ 0xafaf76e2, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1239b184, "mt76_queue_tx_complete" },
	{ 0x4021cc1f, "kthread_create_on_node" },
	{ 0x718b3f8e, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x336022d8, "mt76_rx_poll_complete" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x88db4bda, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x5f4d7b39, "sdio_claim_irq" },
	{ 0xba116596, "mt76_skb_adjust_pad" },
	{ 0xb4d3e4c4, "sdio_enable_func" },
	{ 0x544619ba, "sdio_writesb" },
	{ 0x23b4f448, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf70f5198, "sdio_release_host" },
	{ 0x5170031a, "sdio_disable_func" },
	{ 0x7c664d30, "sdio_set_block_size" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0x5a78bfab, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xebe80477, "sdio_claim_host" },
	{ 0xa343473a, "consume_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "B29BBFF59E191EAC784547D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
