#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_ret, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xa1b2a703, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x3fb3c9b4, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xe0de7e4c, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x0dea85a5, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x29154baa, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xc0acf9bb, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x0814aef2, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x6f3f45aa, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x72021d5d, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x3e75cddd, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0xb496bc32, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0xd7da4be5, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x31bd0a09, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0xa8112f95, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x64cb42e8, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xf521dea1, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x198139fa, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0xbca44e03, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x8ea1812e, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x8cef30af, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x3a5199e6, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x4e45709c, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x623c4fa6, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x1449b167, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0xed567dd1, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x6a0a73ae, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x585de4b5, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x518ada02, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x675c2850, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0xd6b01203, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x593f31cf, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x7749e7eb, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x2ed374c5, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x50eab944, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x187d0d6c, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x844a02d2, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0xfd71796a, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x0a081d1f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0xc8ac2098, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x6326d9ff, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0xc28d4c5f, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x47b1fa37, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x967275d9, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0xd8a3a5f2, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x30c2439d, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x861e7609, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x10c3b267, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0x6ad7e8de, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x1e724930, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x0bafd166, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x40a56c67, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x494dc334, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x29208543, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xacb4d75a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x927d412b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0xf6b30a18, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0xb8fc82e2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xaf53c097, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0xa2865f12, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0xcad22866, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xfd3ef246, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x7ddb36f0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0xd638ec0f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xcf555eb0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0xd286a031, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0xcf960194, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xd556f543, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x5e474e3c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0xd3dfdcec, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x06488c7b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x4af9a028, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xbd7a32a4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0xd176f6fb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x39eb02cf, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0xf0aa6af1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x3a2e61b6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x5419eb4b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0xcd32c1ea, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0xf3fb0c1b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0xef1b13a4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xf47ac27e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0xd682656d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x5e02d778, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0xd12474a5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0xc3d1f87c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x39c4df73, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x438b63b4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xad7122a4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x3c279938, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x1ffd0d34, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x8ba7edbe, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0xd6c954c2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x3c113128, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x173fa5ee, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xb6f65126, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0xd411a14c, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0xc76b5ebc, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x93a645fd, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x6c66d231, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x0899450d, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0xd4c21af7, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0xf83a8610, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x97284c02, "_gpl");
SYMBOL_CRC(snd_soc_ret, 0x32b00c96, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x552cd74b, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0xef012ffc, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0xcc53006f, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x5666c901, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x80b774cc, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x5b627d6c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x024e04b8, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x8f202899, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x2aad812f, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x011e69fd, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x58841177, "_gpl");
SYMBOL_CRC(snd_soc_dai_prepare, 0xf6e4264d, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x28ad653e, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0xaa6b56ee, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x2530fb01, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0xa184c44a, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0xd4f7cde6, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0xfde5ea70, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x39a5d940, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x0faf5f5f, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xb3d4ea91, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x360cf1b5, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x016f6632, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x7893b47c, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x570b9780, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0xd5dd2722, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x60d38f70, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xb01fc2bd, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0xdfc828f8, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x435fe7eb, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xe0de9d0f, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0xdefc8df7, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x5bb8f5c2, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0xf6dfb872, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x1d7e2f75, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x04adc560, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xe8363757, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x60f867e4, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xd4b0bcf1, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0xeb02b871, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0xbc639cdb, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0xd3b87b2e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x42ca4a5e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x907afeb3, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x4e7abd59, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0xeb400949, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x9a3db51a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0xe0ffc6ec, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0xa93b2cba, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x0b169586, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x5a4837aa, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x8fd5aae2, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x4c7ba32c, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x22b44520, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xba918d9c, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x7a43644f, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0xcc67c32d, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x33343048, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xd02c79c4, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xf3c40cae, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0xab3083c8, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x934dc0d1, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x8b34937b, "_gpl");
SYMBOL_CRC(widget_in_list, 0x8d130ec6, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x6b0de1a5, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0xef9813a4, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x8792f83a, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0xd4257ad9, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x2b95e5c4, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0xb45c437f, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x98864bfd, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x3fd2a2d8, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x9f804e7f, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x71286180, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x35bffcf8, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xb8bb02b1, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x117310f7, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x2d5253b6, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x95b1713a, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x73d49a69, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0xe7155295, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0xe3af85c6, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0xce86f038, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x3c1e33fa, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0xb62b5eac, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0xf1ae1c37, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x89e8ac54, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0xceafa864, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0xf28eeb25, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x7d613171, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x7c866134, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x53bb19ae, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x98c3696f, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x5613f418, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xe87dc915, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0xa633610c, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x909877d6, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x49fe787e, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x50fa4cbc, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xcd22a124, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0xdcd9414b, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x10a5267c, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x5b970546, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x2a824e83, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0xbd474411, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xb9edce4c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d4038ed, "snd_pcm_stream_unlock_irq" },
	{ 0x7c7efeda, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x133fa819, "devm_kstrdup" },
	{ 0xb4f0a41d, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc6a8c9e4, "debugfs_lookup_and_remove" },
	{ 0x5415e6a7, "put_device" },
	{ 0xe1b1a495, "gpiod_unexport" },
	{ 0xf5f4c39c, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xc024ec69, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x30230c7f, "snd_dmaengine_pcm_close" },
	{ 0xdae1ee39, "dma_get_slave_caps" },
	{ 0x6b150337, "_dev_info" },
	{ 0x0b91dbdc, "faux_device_create" },
	{ 0x1fa54d8e, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x107cffda, "snd_card_new" },
	{ 0xaaf32a07, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe7dadcf9, "devm_kmemdup" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x7e13db9d, "snd_dmaengine_pcm_request_channel" },
	{ 0x36f12e16, "perf_trace_run_bpf_submit" },
	{ 0x75ddfcaa, "devm_kfree" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x48c08d9f, "pinctrl_pm_select_sleep_state" },
	{ 0x99e512ed, "simple_open" },
	{ 0x07e90425, "faux_device_destroy" },
	{ 0x51bdf5c1, "snd_pcm_lib_ioctl" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x30dc6c58, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3989de1f, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x74748011, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99515e70, "dev_get_regmap" },
	{ 0x9794a107, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x3878c5b0, "__devres_alloc_node" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xfa4551ca, "snd_ctl_notify" },
	{ 0xd61652b3, "regulator_allow_bypass" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x34f39eb3, "snd_pcm_set_ops" },
	{ 0x32d021de, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1f7446e3, "snd_pcm_set_managed_buffer" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xf249a1a3, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfc5dee8d, "device_register" },
	{ 0x284165d2, "bpf_trace_run1" },
	{ 0xaf1e56a1, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8d19ede, "debugfs_create_u32" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x168a2e74, "snd_dmaengine_pcm_open" },
	{ 0xd78b5188, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x880c1483, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xba022dcb, "snd_dmaengine_pcm_pointer" },
	{ 0x4c9b2332, "__platform_driver_register" },
	{ 0x6efe5577, "dma_request_chan" },
	{ 0xb2d36f46, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xaa7f991d, "pinctrl_lookup_state" },
	{ 0x76134e8a, "bpf_trace_run3" },
	{ 0xff8a4733, "seq_read" },
	{ 0x1b9b8588, "snd_compress_new" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x4ec2d9a4, "snd_hwparams_to_dma_slave_config" },
	{ 0xa1c44802, "regmap_read" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0xdb0d2dca, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb471f37, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd74c7918, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xecc64a3a, "_copy_from_iter" },
	{ 0xaf37160f, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x00401845, "pinctrl_select_state" },
	{ 0x1538c4dc, "snd_power_wait" },
	{ 0xdaa1e1d6, "snd_pcm_hw_constraint_msbits" },
	{ 0xa6366ed7, "single_release" },
	{ 0x48f1de67, "regmap_update_bits_base" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7d3ea814, "dev_err_probe" },
	{ 0xdf5cfde7, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0xd520c226, "device_add_groups" },
	{ 0xefab844d, "__pm_runtime_suspend" },
	{ 0x700c097a, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xce7532b2, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x75537bc7, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8cd6edee, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x6c585b05, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x1c31cb1d, "__pm_runtime_idle" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x6bb34963, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x845a608a, "gpiod_get_value_cansleep" },
	{ 0x989414f2, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1f52e247, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0xa517be28, "_copy_to_iter" },
	{ 0x97dc02e5, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x355d9a43, "regmap_write" },
	{ 0x1bb837e1, "param_ops_uint" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xdc7b881a, "dev_set_name" },
	{ 0x17c2b83a, "regmap_get_val_bytes" },
	{ 0x51d6feaf, "platform_driver_unregister" },
	{ 0xaa20e928, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7b60c5b4, "snd_dmaengine_pcm_sync_stop" },
	{ 0x1de6fa77, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x768e2f13, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0x74cc88f4, "regmap_raw_read" },
	{ 0x907ff0b7, "snd_card_register" },
	{ 0xb6422f61, "device_unregister" },
	{ 0x9e397808, "snd_card_free" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0x1391fd22, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x0abaa5c8, "gpiod_get_index" },
	{ 0x5fb909f2, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x0dc6fe91, "snd_pcm_hw_constraint_minmax" },
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0xdfa217ee, "gpiod_to_irq" },
	{ 0x35f9d9ac, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0x5825c174, "dma_release_channel" },
	{ 0xa8994339, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xdaa0117b, "regcache_mark_dirty" },
	{ 0x4244b47e, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x00148653, "vsnprintf" },
	{ 0x6a65fff0, "regulator_disable_deferred" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xd20c138e, "snd_ctl_remove" },
	{ 0x5c485c55, "snd_ctl_free_one" },
	{ 0x8c108dd4, "snd_ctl_find_id" },
	{ 0x69b75a15, "devm_clk_get" },
	{ 0x27d57105, "devres_add" },
	{ 0x28b29d4e, "snd_pcm_new_internal" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2120c6ee, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x3d2366ff, "snd_dmaengine_pcm_get_chan" },
	{ 0xb2c96493, "pinctrl_pm_select_default_state" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x28f4b673, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "09624D980AC748D6A9C690A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
