#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_mic_privacy_mask, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_is_mic_privacy_changed, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mic_privacy_state, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xde98472b, "");
SYMBOL_CRC(hda_bus_ml_free, 0xc86d3b0a, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xe9eedf13, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt_unlocked, 0x6d482ef9, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x8ddfc731, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xf0250de2, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x9f9f50b4, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x54c23113, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x08995393, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xc64085eb, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x7e50967f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x98a27351, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x4106dc2c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x5f8a3d3d, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0xd1143d4e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0xe22c82f2, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xcc98430b, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x4dd67164, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0xa678f1b7, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0xdd9a191c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x56bcb2e4, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0xcfb903d8, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x083869c1, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x2ab70add, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xd350abcb, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x7f51f466, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xcdbf1dd6, "");
SYMBOL_CRC(hda_bus_ml_resume, 0xfbe44a20, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x992b63c1, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0x234d2db4, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x4ca4e930, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x3f34812d, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xff987742, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x8a922afc, "");
SYMBOL_CRC(hdac_bus_eml_set_mic_privacy_mask, 0x456b4936, "");
SYMBOL_CRC(hdac_bus_eml_is_mic_privacy_changed, 0x0f543759, "");
SYMBOL_CRC(hdac_bus_eml_get_mic_privacy_state, 0xb8f16a00, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13297026, "snd_hdac_ext_bus_link_power_up" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x710330d3, "snd_hdac_ext_bus_link_power_down" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xe5a4c095, "snd_hdac_ext_bus_link_put" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CBB01D9ED4ECAAD92D34502");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
