#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x6d801b85, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x6e1bc5f8, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xc58a6bfa, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x8fe9997b, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x352511dd, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x9eb4bfdf, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xd6b455f6, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x733f351d, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x58788d15, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x0a7639a9, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x57fe34ae, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x31a8be1d, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xef8c76fa, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xa6ae44a6, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x146640d9, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xca46c8b8, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xeccc1c46, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xd6f9305f, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x1992f753, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x115afcfc, "regulator_disable" },
	{ 0x8e1889d8, "regulator_put" },
	{ 0x037a0cba, "kfree" },
	{ 0x1c31cb1d, "__pm_runtime_idle" },
	{ 0xe292ec45, "__pm_runtime_disable" },
	{ 0x989414f2, "regulator_enable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdf4f694b, "platform_get_irq" },
	{ 0xd1d9bb0f, "ahci_save_initial_config" },
	{ 0xdd3473d4, "ahci_set_em_messages" },
	{ 0xee7ead57, "ata_host_alloc_pinfo" },
	{ 0x19c9be95, "platform_get_resource" },
	{ 0xc24a3a78, "ata_port_desc" },
	{ 0x31165505, "ata_dummy_port_ops" },
	{ 0xf1c17b81, "ahci_reset_controller" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x92fa59a9, "ahci_init_controller" },
	{ 0x6e265050, "ahci_print_info" },
	{ 0xe87a4770, "ahci_host_activate" },
	{ 0x34a1ddb1, "dma_set_mask" },
	{ 0xfef01687, "dma_set_coherent_mask" },
	{ 0xdc2922f8, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x6b150337, "_dev_info" },
	{ 0xbff26a8d, "devres_open_group" },
	{ 0x3878c5b0, "__devres_alloc_node" },
	{ 0x27d57105, "devres_add" },
	{ 0x813c1bcc, "platform_get_resource_byname" },
	{ 0x50c45ea7, "devm_platform_ioremap_resource_byname" },
	{ 0xb7b6b321, "devm_clk_bulk_get_all" },
	{ 0xc024ec69, "devm_regulator_get" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xfd50a9ec, "devm_of_phy_get" },
	{ 0x6edf2a61, "regulator_get" },
	{ 0x75b66cb4, "pm_runtime_enable" },
	{ 0xdb0d2dca, "__pm_runtime_resume" },
	{ 0x44d77873, "devres_remove_group" },
	{ 0xf767e490, "devm_platform_ioremap_resource" },
	{ 0x8f9eb4ab, "devres_release_group" },
	{ 0x2fb52d79, "devm_reset_control_array_get" },
	{ 0x2265327d, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x222f4ebb, "phy_power_off" },
	{ 0x0cbe0adb, "phy_exit" },
	{ 0x028ada06, "ata_host_suspend" },
	{ 0x72395765, "phy_init" },
	{ 0x92ab7567, "phy_set_mode_ext" },
	{ 0xfe8fe360, "phy_power_on" },
	{ 0xf20ec27c, "ata_host_resume" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x9b887a32, "__pm_runtime_set_status" },
	{ 0xf3804713, "ahci_ops" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "libahci,libata");


MODULE_INFO(srcversion, "2B03E6882AD44B7DDD5C22D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
