#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x830fa34a, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x94cf40fa, "_gpl");
SYMBOL_CRC(stm_data_write, 0x4d0503ef, "_gpl");
SYMBOL_CRC(stm_register_device, 0x03a4f972, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x15e9c544, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xc4362dc2, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x7118a930, "_gpl");
SYMBOL_CRC(stm_source_write, 0xe7e54405, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xfd05f04e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75b66cb4, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f984513, "strrchr" },
	{ 0x1fa54d8e, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xec43b5b2, "compat_ptr_ioctl" },
	{ 0x78b6d8c2, "init_srcu_struct" },
	{ 0x519c127b, "configfs_register_subsystem" },
	{ 0x756fdc19, "device_add" },
	{ 0xf87ea6d5, "__srcu_read_lock" },
	{ 0xa22b2613, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdeea02df, "const_current_task" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x750100be, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf580803e, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdbe227f6, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xce585b45, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x9ed28124, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xdb0d2dca, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd562e54e, "config_item_put" },
	{ 0x3c4c9d8b, "__register_chrdev" },
	{ 0x9a56a86d, "kobject_set_name" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x5e5b5119, "device_match_name" },
	{ 0x4b546948, "__srcu_read_unlock" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xefab844d, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xd8d63f7a, "__pm_runtime_use_autosuspend" },
	{ 0x1bce27ae, "__vma_start_write" },
	{ 0xe292ec45, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdab340ba, "class_register" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfcc2ad5a, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x1f52e247, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8d918e18, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb6422f61, "device_unregister" },
	{ 0x84254d58, "pm_runtime_set_autosuspend_delay" },
	{ 0x1e040cbc, "vm_iomap_memory" },
	{ 0x559c77bb, "config_item_get" },
	{ 0x3a5f82be, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xba0b96a5, "synchronize_srcu" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56f7a902, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9b887a32, "__pm_runtime_set_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5415e6a7, "put_device" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "A80A2091E20FB9827EE187E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
