#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x57ca3161, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xb33dfa4d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f8408bc, "bio_chain" },
	{ 0x62e17ca8, "__blk_trace_note_message" },
	{ 0xbe3b0c13, "blkdev_issue_zeroout" },
	{ 0x1843f322, "__cpuhp_state_add_instance" },
	{ 0x1a0cf02b, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5fb5ddb8, "async_raid6_2data_recov" },
	{ 0x96052581, "bio_add_page" },
	{ 0x839b5dbb, "__SCK__tp_func_block_unplug" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc615a313, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7ba2d24b, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x83f262d3, "md_flush_request" },
	{ 0x6d410846, "bio_init" },
	{ 0xdba5a8f8, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0xd3ede34c, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26fa2922, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x7dc2ec0a, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4fcef7df, "__kmem_cache_create_args" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56c7417e, "md_write_inc" },
	{ 0x7550c795, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xc9209709, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6fcad1c1, "param_ops_bool" },
	{ 0x517d2b6e, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xc79cebd4, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0x88db4bda, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x0acf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb471f37, "seq_printf" },
	{ 0xda6151f0, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x21b7b151, "md_check_recovery" },
	{ 0x29849ad2, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd8b533dd, "alloc_pages_noprof" },
	{ 0x7fad0d7b, "blkdev_issue_flush" },
	{ 0xfd06e306, "mddev_suspend" },
	{ 0x59882272, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa6e46ad6, "unregister_md_submodule" },
	{ 0x4c1f54a3, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1bd0d71a, "md_init_stacking_limits" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc9ecb3e5, "queue_limits_set" },
	{ 0x22957cab, "rdev_set_badblocks" },
	{ 0x8aaf2720, "bio_alloc_bioset" },
	{ 0x47ce1ad5, "__kvmalloc_node_noprof" },
	{ 0x8654ada2, "async_raid6_datap_recov" },
	{ 0xdccf21db, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x743b623c, "__cpuhp_remove_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xd5d5a897, "kmem_cache_destroy" },
	{ 0x4dce0063, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xca7a90f1, "blkdev_issue_discard" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x877b794f, "set_disk_ro" },
	{ 0xebfb2acb, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x347a2014, "__bio_add_page" },
	{ 0x03a6caba, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2af0d45b, "md_find_rdev_rcu" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x2e3294fd, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x855250be, "queue_limits_stack_bdev" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xb6693ac3, "md_error" },
	{ 0xae860554, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xded2fd7d, "md_finish_reshape" },
	{ 0xead12894, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc03a0ce4, "md_unregister_thread" },
	{ 0xd79adfe1, "sync_page_io" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x40d7da32, "md_free_cloned_bio" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5bd40450, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xd0ada343, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a91ce2f, "register_md_submodule" },
	{ 0x452f58b5, "shrinker_free" },
	{ 0x75767424, "md_wakeup_thread" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x91cb51da, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xddb83de2, "md_set_array_sectors" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x841bec07, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x67f6a2d2, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x5175a397, "async_tx_quiesce" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x594616c9, "md_write_start" },
	{ 0x0ddb1cd7, "llist_reverse_order" },
	{ 0x9f9fd23f, "shrinker_register" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x0882df77, "async_xor" },
	{ 0x94d51d97, "__free_pages" },
	{ 0x1986ad3c, "async_xor_offs" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x66e8216e, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb57e8ba4, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6ec3aea8, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xc7208f72, "kthread_unpark" },
	{ 0xbe6642e3, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xabbac77a, "md_done_sync" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x035612f6, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x0bff367a, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x908b8523, "md_wait_for_blocked_rdev" },
	{ 0x907ed1b4, "__SCK__tp_func_block_bio_remap" },
	{ 0xf22250d0, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x70b6b0e6, "async_memcpy" },
	{ 0x8e68e147, "mddev_update_io_opt" },
	{ 0xbbc353c4, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0493710, "mddev_stack_rdev_limits" },
	{ 0x84bb2c52, "kmem_cache_free" },
	{ 0x0925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x6e464fbb, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe3ec17f1, "__tracepoint_block_unplug" },
	{ 0xdeea02df, "const_current_task" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "66DCD20064E62D042350F3D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
