#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xf8066d2f, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xfe93dd50, "");
SYMBOL_CRC(ivtv_api, 0x83e06a55, "");
SYMBOL_CRC(ivtv_vapi, 0x3f78da77, "");
SYMBOL_CRC(ivtv_vapi_result, 0x50b1db6f, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x384f73b9, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xa75ac01e, "");
SYMBOL_CRC(ivtv_udma_setup, 0x08b13f85, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xa0fcc5ae, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x00624bec, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xf8aeff95, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x13f77022, "");
SYMBOL_CRC(ivtv_firmware_check, 0x77692050, "");
SYMBOL_CRC(ivtv_claim_stream, 0xcb4fd281, "");
SYMBOL_CRC(ivtv_release_stream, 0x4abdadc0, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x0f191818, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xa882b90b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdadb6545, "__v4l2_ctrl_s_ctrl" },
	{ 0x16e34460, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x5b6dfd4a, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x73463b3a, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xc2b2c12d, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xed3bb9b4, "pci_read_config_word" },
	{ 0xdeea02df, "const_current_task" },
	{ 0x30ab97bf, "v4l2_ctrl_subscribe_event" },
	{ 0x9bec10f9, "v4l2_fh_init" },
	{ 0xc3cbe535, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x48a9056c, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x58aee974, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3351a60d, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x43384dc5, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc0d9e1aa, "pci_set_master" },
	{ 0x9d74aff7, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdf89b319, "__v4l2_device_register_subdev" },
	{ 0xa7f36517, "v4l2_device_register" },
	{ 0x0e2cc239, "param_ops_string" },
	{ 0x18792665, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4021cc1f, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8994f75, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbd23c1c8, "__dma_sync_single_for_device" },
	{ 0x3d660b36, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xd20637ad, "pin_user_pages_unlocked" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x59dddc01, "v4l2_ctrl_new_std" },
	{ 0xb193622f, "v4l2_ctrl_g_ctrl" },
	{ 0x5b7a97be, "cx2341x_handler_init" },
	{ 0x12167138, "cx2341x_handler_set_50hz" },
	{ 0x95b435f4, "v4l2_ctrl_handler_free" },
	{ 0xb10c956f, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x34a1ddb1, "dma_set_mask" },
	{ 0x3e682477, "sched_set_fifo" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x492e5c09, "v4l2_subdev_call_wrappers" },
	{ 0xc0abd52c, "dma_unmap_sg_attrs" },
	{ 0x1ac80af5, "v4l2_event_queue" },
	{ 0xb32b5811, "v4l2_i2c_new_subdev" },
	{ 0xb26e3e5d, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x75537bc7, "param_ops_int" },
	{ 0xf083feb1, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4b01773, "video_device_release_empty" },
	{ 0xb904d193, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x88cd9319, "pci_write_config_dword" },
	{ 0xf9d002f5, "v4l2_event_unsubscribe" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x269967ec, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x953893a0, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdb3b3610, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe47dd8b8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92291494, "i2c_bit_add_bus" },
	{ 0xaa3c04d4, "v4l2_fh_del" },
	{ 0x124feeac, "v4l2_i2c_new_subdev_board" },
	{ 0xbd3811b5, "kthread_flush_worker" },
	{ 0x6f268439, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdb7893c5, "dma_unmap_page_attrs" },
	{ 0x7b0eb73a, "request_firmware" },
	{ 0x22610d9d, "__pci_register_driver" },
	{ 0x70870d0d, "v4l2_ctrl_handler_init_class" },
	{ 0x23bff081, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4946ce22, "unpin_user_pages" },
	{ 0x4d332f4b, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5ced9f08, "i2c_transfer_buffer_flags" },
	{ 0x4b4cab09, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeceaf359, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xba34c4d2, "wake_up_process" },
	{ 0xe6ec9b7f, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee6799db, "dma_map_page_attrs" },
	{ 0x97b2c481, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x30643900, "v4l2_ctrl_handler_log_status" },
	{ 0x2f3493bb, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x3028ff4f, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdcec537, "video_devdata" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xc2ec5776, "i2c_new_scanned_device" },
	{ 0x88c98dd0, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6ecc5df1, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x94d51d97, "__free_pages" },
	{ 0x876b9c6c, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "videodev,tveeprom,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C46EAD538FA789474FF8DBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
