#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x25cf1739, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xe27f4b6c, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xc6bea955, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x6a856976, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x2227c293, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x18397b18, "unregister_netdevice_queue" },
	{ 0x35f1eb52, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa866b510, "dev_addr_mod" },
	{ 0x4d42e326, "dev_uc_add" },
	{ 0x2a5c2454, "dev_set_mtu" },
	{ 0x2ca51851, "netdev_update_features" },
	{ 0xed49a68e, "netif_stacked_transfer_operstate" },
	{ 0xf84719f3, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1aaf85e8, "skb_clone" },
	{ 0x3f87dc05, "netif_rx" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x9de4a405, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa343473a, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7550c795, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x29cf2864, "__dev_queue_xmit" },
	{ 0x69adfafe, "dev_forward_skb" },
	{ 0x4827cddf, "netpoll_send_skb" },
	{ 0xe3d4be65, "__netif_rx" },
	{ 0xea666b35, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba97f1c, "netdev_core_stats_inc" },
	{ 0x111ffed3, "__dev_get_by_index" },
	{ 0xbc4c6e12, "netdev_is_rx_handler_busy" },
	{ 0x8fdc7298, "netdev_rx_handler_register" },
	{ 0xc0db1cf4, "register_netdevice" },
	{ 0x5b72ca36, "netdev_upper_dev_link" },
	{ 0x62fd9775, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdd5daef9, "passthru_features_check" },
	{ 0xeb7dbb15, "eth_validate_addr" },
	{ 0xb15146f4, "ndo_dflt_fdb_dump" },
	{ 0x2611d614, "ethtool_op_get_link" },
	{ 0x9b4c55e7, "eth_header_parse" },
	{ 0x7ed452ca, "eth_header_cache" },
	{ 0x9edebb25, "eth_header_cache_update" },
	{ 0x2e2beaac, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6fa535ad, "ether_setup" },
	{ 0x34bac4c6, "__ethtool_get_link_ksettings" },
	{ 0x2978cb17, "ethtool_get_ts_info_by_layer" },
	{ 0xb256c4bb, "init_net" },
	{ 0x295676c2, "generic_hwtstamp_set_lower" },
	{ 0x824c1c6e, "generic_hwtstamp_get_lower" },
	{ 0xa83f54dc, "dev_mc_del" },
	{ 0x8df6b13c, "dev_uc_del" },
	{ 0xf86cc731, "dev_mc_add_excl" },
	{ 0x4794cccc, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x524c7cc4, "__netpoll_free" },
	{ 0x620d0b25, "vlan_vid_del" },
	{ 0x305d5fa3, "vlan_vid_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf43e1aa8, "dev_uc_sync" },
	{ 0x52095a1a, "dev_mc_sync" },
	{ 0x5effdc30, "dev_set_allmulti" },
	{ 0xcd448ad7, "dev_set_promiscuity" },
	{ 0xcb9eef83, "dev_uc_unsync" },
	{ 0x6bb1c41e, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bb2290f, "netdev_rx_handler_unregister" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x9873f8ce, "sk_skb_reason_drop" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa07146eb, "dev_set_mac_address" },
	{ 0x037a0cba, "kfree" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xcd18a960, "netif_inherit_tso_max" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xad2270d4, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd447d8d0, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4559B630E161CA7B81707D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
