#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x3d00f313, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xdc6b4a57, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x7e71b5fb, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x1c7fcedd, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xa10e0c78, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x691ada23, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x7098c4a6, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x19ce7787, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x4bf1cad3, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x0525df3b, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xcfa95893, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x0e1ad9e5, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xe9b19865, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x67034028, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x12d83a9e, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x9ece1d6a, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x8165d26f, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xde0364e8, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xb84f6c96, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xc6965326, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x4efec59a, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xdf2a046f, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xdfa26ab8, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x08e62fde, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x30cac20d, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xbf4db563, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x01762a96, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x133f51d1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x06f3ef49, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x0459cd01, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x0e14829b, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x1fa14d04, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x8951a6cc, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x70981591, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x7d6bce05, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xb134b10c, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x4afb381c, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xd408c0c8, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xbcf50017, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xac9faaed, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xf09e249b, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x75f9510c, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xff464ee7, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xaa2b3bd3, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x1228ef8b, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xb5c9b73b, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x7cd03d1a, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x461dead9, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x0a9b4dc1, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xec1a675a, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x45cd9eb8, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xad09070a, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xa6a5f114, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x01da2beb, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xf66ea333, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x41e4c888, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x5f2887e5, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xe71326b4, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x06461997, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x210fb0ad, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xe209e341, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x4391173b, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xf28d0a05, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x8e1594ba, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x334745f3, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x83287feb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x663b9712, "mt76_csa_check" },
	{ 0x57828eba, "mt76_tx_status_skb_add" },
	{ 0x0fe7d14d, "__tracepoint_mac_txdone" },
	{ 0x6b4ff906, "mt76_tx_check_agg_ssn" },
	{ 0x820dd5d4, "ieee80211_tx_status_ext" },
	{ 0x9301bda6, "mt76_stop_tx_queues" },
	{ 0xff781e8f, "___pskb_trim" },
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdbb90818, "__mt76_tx_complete_skb" },
	{ 0xa8994339, "seq_lseek" },
	{ 0x5bb10368, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1426799e, "ieee80211_restart_hw" },
	{ 0x4244b47e, "bpf_trace_run2" },
	{ 0xb5c9404c, "ieee80211_get_hdrlen_from_skb" },
	{ 0x5bd40450, "kthread_park" },
	{ 0xb2cf32cd, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8af9e78f, "mt76_wcid_init" },
	{ 0x4f654371, "mt76_tx_status_check" },
	{ 0xba34c4d2, "wake_up_process" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0x0a4658c2, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52d81a67, "napi_complete_done" },
	{ 0xd81ed9aa, "ieee80211_get_tx_rates" },
	{ 0xc2c1a652, "ieee80211_send_bar" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x151e62cf, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcea2f1bc, "mt76_tx" },
	{ 0x4413cd1c, "__napi_schedule" },
	{ 0x6c34a468, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x04fcb4fa, "mt76_wcid_key_setup" },
	{ 0x6b150337, "_dev_info" },
	{ 0xafb9dae1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb5ee0c61, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc7208f72, "kthread_unpark" },
	{ 0xa041a16c, "mt76_phy_dfs_state" },
	{ 0xbf9fc224, "wiphy_to_ieee80211_hw" },
	{ 0x3daa1bde, "mt76_init_queue" },
	{ 0x6638d77b, "debugfs_attr_read" },
	{ 0x36aa6d91, "__mt76_sta_remove" },
	{ 0xa201f9f1, "mt76_tx_status_skb_done" },
	{ 0x025625bb, "ieee80211_queue_delayed_work" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x36f12e16, "perf_trace_run_bpf_submit" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x6fda5195, "debugfs_create_bool" },
	{ 0x5f5e4d4b, "skb_pull" },
	{ 0xd290fb81, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x20d4b98c, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e452e53, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x11e504d8, "napi_enable" },
	{ 0xb40aa56d, "seq_putc" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0x7b2a313d, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xf8fec397, "ieee80211_wake_queues" },
	{ 0x1bb567f7, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcf2253c3, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x823e74e0, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc9e80a2e, "mt76_set_irq_mask" },
	{ 0x284165d2, "bpf_trace_run1" },
	{ 0x30ea2e99, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8d19ede, "debugfs_create_u32" },
	{ 0x9a6e76da, "__SCK__tp_func_mac_txdone" },
	{ 0x5a6b60bf, "mt76_seq_puts_array" },
	{ 0xb97d0981, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x718b3f8e, "__tracepoint_dev_irq" },
	{ 0xff8a4733, "seq_read" },
	{ 0x71d6329f, "mt76_mcu_get_response" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0xdc13683b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa933f8ed, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa31d053b, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x806537ce, "seq_write" },
	{ 0x24606b9b, "____mt76_poll_msec" },
	{ 0xfb471f37, "seq_printf" },
	{ 0xd5d84a87, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xaf37160f, "debugfs_create_file_full" },
	{ 0xbbaf3fa5, "mt76_wcid_cleanup" },
	{ 0xe7156dc1, "ieee80211_radar_detected" },
	{ 0xa6366ed7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x897085c3, "mt76_queues_read" },
	{ 0xff5c03dd, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x25dea432, "napi_schedule_prep" },
	{ 0xb93541c9, "napi_disable" },
	{ 0x37dbb9c6, "dev_kfree_skb_any_reason" },
	{ 0x1c0c7d73, "__mt76_poll" },
	{ 0xe0b3c947, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1f2dcc77, "debugfs_create_u8" },
	{ 0x8cd6edee, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7c832bb1, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcae4347d, "ieee80211_sta_register_airtime" },
	{ 0xce821a6b, "mt76_dma_rx_poll" },
	{ 0xe974e4f2, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdaf9a371, "simple_attr_open" },
	{ 0xbafee044, "debugfs_attr_write" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa343473a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe27ca72d, "mt76_tx_status_skb_get" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0xe2c79ad3, "mt76_tx_status_lock" },
	{ 0xca1a1abb, "skb_dequeue" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "F372D4E7B3860D16A73FAAF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
