#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0x34613966, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0xda3cc03d, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0x13b5460c, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0x8b2f8652, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0x95fbb1e4, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0xfcbfeecc, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0x9c3c2378, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0xcf5a65c2, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0x6f0696e6, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0x25ec0e93, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0xdc68b3c4, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0xf5392fb9, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0x14ca083c, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0x91cbdcb8, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0x0394c880, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0xd9aa656e, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0x2dc8e02e, "_gpl");
SYMBOL_CRC(__mt7925_start, 0xc396def2, "_gpl");
SYMBOL_CRC(mt7925_roc_abort_sync, 0x51659030, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0x2eb43795, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_event, 0x456d6ff7, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0x24f388de, "_gpl");
SYMBOL_CRC(mt7925_ops, 0x2ec0cad1, "_gpl");
SYMBOL_CRC(mt7925_regd_update, 0xd519abec, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0x0594ab2c, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0x2fcc557b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9a4ec8d, "__alloc_pages_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x793372c6, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x151e62cf, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd2546d01, "mt792x_get_et_sset_count" },
	{ 0x8617dfee, "mt76_wcid_add_poll" },
	{ 0x670f2810, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x2474f2ee, "mt792x_init_acpi_sar_power" },
	{ 0x2f7a5c06, "mt792x_set_wakeup" },
	{ 0x04fcb4fa, "mt76_wcid_key_setup" },
	{ 0xa777e31f, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0x6b150337, "_dev_info" },
	{ 0xe2852adc, "skb_queue_tail" },
	{ 0xafb9dae1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb5ee0c61, "mt76_rx" },
	{ 0x1926ae3b, "mt792x_load_firmware" },
	{ 0x2e9854b5, "mt792x_get_et_stats" },
	{ 0xb5bf824c, "mt76_connac_mcu_uni_add_bss" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xbf9fc224, "wiphy_to_ieee80211_hw" },
	{ 0x6638d77b, "debugfs_attr_read" },
	{ 0x5da46805, "mt792x_mac_link_bss_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa201f9f1, "mt76_tx_status_skb_done" },
	{ 0x025625bb, "ieee80211_queue_delayed_work" },
	{ 0xe7dadcf9, "devm_kmemdup" },
	{ 0x75ddfcaa, "devm_kfree" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x5f5e4d4b, "skb_pull" },
	{ 0x747689ba, "mt76_register_device" },
	{ 0xc7acec7d, "mt792x_get_stats" },
	{ 0xceccfac9, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xd290fb81, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5be37ae0, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e452e53, "skb_push" },
	{ 0xb40aa56d, "seq_putc" },
	{ 0xf8fec397, "ieee80211_wake_queues" },
	{ 0x1bb567f7, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x648cbda1, "ieee80211_beacon_get_template" },
	{ 0xc4ed9d85, "mt792x_pm_stats" },
	{ 0x688611b2, "mt76_eeprom_override" },
	{ 0x1c0469f5, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x823e74e0, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xafe64324, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf56dd615, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x4f896a1d, "devm_hwmon_device_register_with_groups" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xe349effe, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x838b8e03, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa5c07405, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xf61ee201, "mt792x_tx" },
	{ 0xc0d36860, "mt792x_get_et_strings" },
	{ 0x12d8eee6, "mt76_sta_state" },
	{ 0x8aa0c08d, "ieee80211_ready_on_channel" },
	{ 0xb97d0981, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2d36f46, "devm_kasprintf" },
	{ 0x8c152404, "mt792x_remove_interface" },
	{ 0xff8a4733, "seq_read" },
	{ 0xd5afbe5b, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc2752597, "mt76_connac2_mac_tx_rate_val" },
	{ 0x6c0ab36e, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xf3fdc910, "mt792x_queues_read" },
	{ 0x596cabe8, "mt792x_queues_acq" },
	{ 0x0bfcade7, "mt76_get_rate_power_limits" },
	{ 0x265bdf39, "ieee80211_sched_scan_results" },
	{ 0x1c1af009, "ieee80211_scan_completed" },
	{ 0xdc13683b, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x5bfd01cf, "mt792x_config_mac_addr_list" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6de575ff, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6fcad1c1, "param_ops_bool" },
	{ 0x2e650809, "mt792x_tx_stats_show" },
	{ 0x305c6341, "mt76_connac_mcu_set_suspend_mode" },
	{ 0x446aa14f, "mt792x_acpi_get_mtcl_conf" },
	{ 0xa31d053b, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x88db4bda, "__folio_put" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb471f37, "seq_printf" },
	{ 0x09937622, "ieee80211_set_active_links_async" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x9977aeee, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92d2c865, "mt76_get_sar_power" },
	{ 0x12c1c203, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x43cca392, "mt792x_mac_init_band" },
	{ 0xaf37160f, "debugfs_create_file_full" },
	{ 0xba116596, "mt76_skb_adjust_pad" },
	{ 0x5f7a5404, "mt76_put_txwi" },
	{ 0xbbaf3fa5, "mt76_wcid_cleanup" },
	{ 0xc553ade5, "mt792x_init_wiphy" },
	{ 0xb6464cf6, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xa6366ed7, "single_release" },
	{ 0x8afce427, "mt76_connac3_mac_decode_eht_radiotap" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x897085c3, "mt76_queues_read" },
	{ 0xda1f17c2, "mt76_sta_pre_rcu_remove" },
	{ 0xff5c03dd, "mt76_register_debugfs_fops" },
	{ 0x4341a293, "cfg80211_get_iftype_ext_capa" },
	{ 0xdb6c9cb1, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x83d1f2e8, "__mt76_set_tx_blocked" },
	{ 0xe5501e89, "ieee80211_queue_work" },
	{ 0x1f131e6c, "mt792x_mac_reset_counters" },
	{ 0x8516c810, "napi_consume_skb" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x1c0c7d73, "__mt76_poll" },
	{ 0xe0b3c947, "mt76_rx_aggr_stop" },
	{ 0x8cd6edee, "single_open" },
	{ 0x91e6a5cc, "mt76_connac_get_phy_mode" },
	{ 0x133697fc, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xff4de5f6, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90806f78, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xcae4347d, "ieee80211_sta_register_airtime" },
	{ 0xc9fb32a7, "mt792x_init_wcid" },
	{ 0x00de3bc4, "mt792x_init_acpi_sar" },
	{ 0xe333bf17, "mt76_init_sar_power" },
	{ 0xe59268e4, "ieee80211_connection_loss" },
	{ 0xe974e4f2, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdaf9a371, "simple_attr_open" },
	{ 0xe906181b, "ieee80211_iterate_interfaces" },
	{ 0x4fe6298a, "mt792x_stop" },
	{ 0x8b931a5b, "mt76_connac_get_ch_power" },
	{ 0xbafee044, "debugfs_attr_write" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0x5a78bfab, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x78f3155b, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa343473a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe27ca72d, "mt76_tx_status_skb_get" },
	{ 0x69a14e5c, "mt792x_tx_worker" },
	{ 0x36597715, "mt792x_flush" },
	{ 0xe2c79ad3, "mt76_tx_status_lock" },
	{ 0x31ba1655, "mt792x_rx_get_wcid" },
	{ 0xca1a1abb, "skb_dequeue" },
	{ 0x42128a8c, "mt76_connac_gen_ppe_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xddff721d, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x516adceb, "mt76_release_buffered_frames" },
	{ 0x7b0eb73a, "request_firmware" },
	{ 0x702e4348, "mt76_get_txpower" },
	{ 0xe9b885f6, "mt76_connac_mcu_sta_uapsd" },
	{ 0x57828eba, "mt76_tx_status_skb_add" },
	{ 0x5899756b, "mt76_connac_pm_wake" },
	{ 0x3213c3ee, "mt76_get_rate" },
	{ 0x0df73a34, "mt792x_pm_wake_work" },
	{ 0xb5716b24, "mt76_wake_tx_queue" },
	{ 0x061cc2e7, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x704b9983, "mt76_get_antenna" },
	{ 0x35af68bf, "mt792x_set_coverage_class" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xdbb90818, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa8994339, "seq_lseek" },
	{ 0x10900ad2, "mt76_set_stream_caps" },
	{ 0x133ebc51, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb5c9404c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x486edcd3, "mt76_connac2_tx_check_aggr" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xb2cf32cd, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8af9e78f, "mt76_wcid_init" },
	{ 0xba34c4d2, "wake_up_process" },
	{ 0x887c55d5, "mt76_connac_free_pending_tx_skbs" },
	{ 0xf0431480, "mt792x_sta_statistics" },
	{ 0xbc6eedbb, "skb_queue_purge_reason" },
	{ 0xfe015bc0, "mt76_connac_power_save_sched" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt792x-lib,mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "AF3D5FB932F979741ACCD0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
