#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x18c0aa71, "");
SYMBOL_CRC(rtw_pci_probe, 0xb3a99ff3, "");
SYMBOL_CRC(rtw_pci_remove, 0x613af11e, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xaf03f795, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8c29dec, "rtw_chip_info_setup" },
	{ 0x58027dca, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x16e34460, "__dma_sync_single_for_cpu" },
	{ 0x10fc520d, "rtw_unregister_hw" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x5f5e4d4b, "skb_pull" },
	{ 0xa39b4fdd, "rtw_tx_fill_tx_desc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e452e53, "skb_push" },
	{ 0x1389d164, "dma_alloc_attrs" },
	{ 0x11e504d8, "napi_enable" },
	{ 0x023a92c1, "rtw_core_init" },
	{ 0xf877e8eb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x87c6267b, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfa97beb7, "pci_iounmap" },
	{ 0x3cd894a0, "rtw_update_rx_freq_from_ie" },
	{ 0xc3b6b8a4, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0xc0d9e1aa, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1f2eadd, "ieee80211_stop_queue" },
	{ 0xe4ecec29, "__netdev_alloc_skb" },
	{ 0x427be595, "rtw_rx_stats" },
	{ 0x94c141fc, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x508312fe, "__netif_napi_del_locked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9bd9d920, "rtw_register_hw" },
	{ 0xf12c91e0, "alloc_netdev_dummy" },
	{ 0xc17d04ed, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6fcad1c1, "param_ops_bool" },
	{ 0x988d349d, "pci_release_regions" },
	{ 0xbd23c1c8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7f1c2cd7, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x5b4a2cbe, "rtw_core_deinit" },
	{ 0x2590ad8f, "rtw_ops" },
	{ 0xe54d5fc5, "pci_disable_device" },
	{ 0x25dea432, "napi_schedule_prep" },
	{ 0xb93541c9, "napi_disable" },
	{ 0x37dbb9c6, "dev_kfree_skb_any_reason" },
	{ 0x154a1a94, "rtw_power_mode_change" },
	{ 0x8571c13d, "rtw_tx_write_data_h2c_get" },
	{ 0x3bc0501e, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x063276c0, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x4fdf4e14, "rtw_rx_query_rx_desc" },
	{ 0x54d3e2ba, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x768c5a24, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x29105fe2, "rtw_tx_queue_mapping" },
	{ 0xabc196d9, "pcie_capability_read_word" },
	{ 0x916449d6, "devm_request_threaded_irq" },
	{ 0xbae0b387, "pci_enable_device" },
	{ 0x5a78bfab, "skb_put" },
	{ 0xa343473a, "consume_skb" },
	{ 0xca5cf268, "pci_iomap" },
	{ 0x3ae2e1b0, "pci_alloc_irq_vectors" },
	{ 0xca1a1abb, "skb_dequeue" },
	{ 0x8c5491df, "ieee80211_free_hw" },
	{ 0xdb7893c5, "dma_unmap_page_attrs" },
	{ 0xe92e583f, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x5bb10368, "netif_napi_add_weight_locked" },
	{ 0xb65cd217, "dev_kfree_skb_irq_reason" },
	{ 0xa78337a7, "pci_set_power_state" },
	{ 0x3db35d00, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe6ec9b7f, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee6799db, "dma_map_page_attrs" },
	{ 0x52d81a67, "napi_complete_done" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x33f0da25, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5457809d, "devm_free_irq" },
	{ 0x4413cd1c, "__napi_schedule" },
	{ 0xe2852adc, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "1E408850B1F4F124ED06E03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
