#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_soft_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");
KSYMTAB_FUNC(sdw_cdns_bpt_find_buffer_sizes, "", "");
KSYMTAB_FUNC(sdw_cdns_prepare_write_dma_buffer, "", "");
KSYMTAB_FUNC(sdw_cdns_prepare_read_dma_buffer, "", "");
KSYMTAB_FUNC(sdw_cdns_check_write_response, "", "");
KSYMTAB_FUNC(sdw_cdns_check_read_response, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0xae4118d4, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0xda10d1bc, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xcb8802cd, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x6b77d4c9, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x2df52d5c, "");
SYMBOL_CRC(cdns_read_ping_status, 0x910b8b4c, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x854fb823, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x812f0c64, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x54855a3a, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x0796e272, "");
SYMBOL_CRC(sdw_cdns_soft_reset, 0x9bdffe68, "");
SYMBOL_CRC(sdw_cdns_init, 0x6f6c8860, "");
SYMBOL_CRC(cdns_bus_conf, 0x6b40266f, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x0d7fd1e6, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0x855d11ac, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0x2efd77ca, "");
SYMBOL_CRC(sdw_cdns_probe, 0x75a852e4, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xbefe739a, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0x3fd30236, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x71785453, "");
SYMBOL_CRC(sdw_cdns_bpt_find_buffer_sizes, 0x7ce1c6d3, "");
SYMBOL_CRC(sdw_cdns_prepare_write_dma_buffer, 0x077dcac0, "");
SYMBOL_CRC(sdw_cdns_prepare_read_dma_buffer, 0xdebf2db8, "");
SYMBOL_CRC(sdw_cdns_check_write_response, 0x2f44de51, "");
SYMBOL_CRC(sdw_cdns_check_read_response, 0x34d477d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8b0403, "sdw_handle_slave_status" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6b150337, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0x6638d77b, "debugfs_attr_read" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0xd290fb81, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff8a4733, "seq_read" },
	{ 0xdb0d2dca, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xfb471f37, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaf37160f, "debugfs_create_file_full" },
	{ 0xa6366ed7, "single_release" },
	{ 0xd35263a9, "sdw_bread_no_pm_unlocked" },
	{ 0xefab844d, "__pm_runtime_suspend" },
	{ 0x75537bc7, "param_ops_int" },
	{ 0x8cd6edee, "single_open" },
	{ 0xa84febcc, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb40f3dac, "sdw_bus_prep_clk_stop" },
	{ 0xdaf9a371, "simple_attr_open" },
	{ 0xbafee044, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e47b787, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xa8994339, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,crc8");


MODULE_INFO(srcversion, "D17CABDE347D76CAD8C9379");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
