#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0x542996dd, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0xced3a270, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0xe9624d61, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x72b850df, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x21cdef26, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0xd935bc20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x037a0cba, "kfree" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0xd33a8cb9, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xc8651c51, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x684976ea, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xea9ed3db, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x7ba2d24b, "sysfs_create_group" },
	{ 0x75535065, "sysfs_remove_file_ns" },
	{ 0x8c6b0cc5, "sysfs_remove_group" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x9b591c84, "pcim_iomap_regions" },
	{ 0x899426fc, "pcim_iomap_table" },
	{ 0x5281d639, "proc_thermal_wt_hint_add" },
	{ 0x8482efee, "proc_thermal_rfim_add" },
	{ 0x48af795b, "proc_thermal_wt_req_add" },
	{ 0x09aee5c2, "proc_thermal_rapl_add" },
	{ 0x72b41031, "proc_thermal_rfim_remove" },
	{ 0x098e82d4, "proc_thermal_rapl_remove" },
	{ 0x4fb55f56, "proc_thermal_wt_hint_remove" },
	{ 0x3af88ae2, "proc_thermal_wt_req_remove" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0x4207983e, "thermal_zone_device_update" },
	{ 0x7550c795, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x62d9f74f, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc5196bb6, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x246e3996, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "8AB9F948BDD66CA7D1DFCE2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
