#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x67aef6e8, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xfb1e027d, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x2c0286a2, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x046c0e32, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xab5e8a0c, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x9f3deeab, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xa14de287, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x3d05b7a9, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x9d7243df, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x56e5d749, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x507cd9b0, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x3cbe7897, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x44a47fba, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x295a0208, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x84f9cefe, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xb7d2613f, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x28c0e829, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x6ed7ddee, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x9cdb95b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0xdd414cdb, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xdc13cf22, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0xc79732a4, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0x0ec89433, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x07a45ddb, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x2a173d5c, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x84c297b4, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0x857744eb, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x28e09c19, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0xa2da76b1, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33026e79, "pci_probe_reset_slot" },
	{ 0xa78337a7, "pci_set_power_state" },
	{ 0x0df8aa79, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa192bc70, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xd31e712c, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe6985aa, "pci_user_write_config_word" },
	{ 0xb1f261c8, "bus_register_notifier" },
	{ 0x6b150337, "_dev_info" },
	{ 0x2a0ec05a, "vfio_file_is_group" },
	{ 0xbb4334b0, "pci_msix_can_alloc_dyn" },
	{ 0x3f7914ec, "__ioread64_lo_hi" },
	{ 0x7ab9e5bf, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x159fd8d4, "pci_clear_master" },
	{ 0x11d3eb29, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x672c8e7e, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xb9e62c40, "pci_write_vpd" },
	{ 0x279a9175, "vfio_virqfd_enable" },
	{ 0x2a53060c, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xed3bb9b4, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xadd8519a, "aperture_remove_conflicting_pci_devices" },
	{ 0x6812f543, "vfio_unregister_group_dev" },
	{ 0xcec26521, "pci_map_rom" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xe98f24c4, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfa97beb7, "pci_iounmap" },
	{ 0xb197d322, "pci_restore_state" },
	{ 0x0b19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x0fb1fb8f, "pcie_get_mps" },
	{ 0x24d9a5dc, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0x4564175b, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x1ac1f03b, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0xc14f5a5a, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xe058b02b, "_dev_notice" },
	{ 0x9ed28124, "pm_runtime_forbid" },
	{ 0x63539ffa, "pm_runtime_allow" },
	{ 0x94bb016a, "pci_reset_bus" },
	{ 0xdb0d2dca, "__pm_runtime_resume" },
	{ 0x8a80462e, "vfio_register_group_dev" },
	{ 0x104ce1e8, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x36f5091e, "pci_user_read_config_byte" },
	{ 0xe4f37370, "pci_try_reset_function" },
	{ 0x00aa1603, "xa_find" },
	{ 0x6cee4c16, "pci_get_class" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x22ab666d, "pci_user_write_config_dword" },
	{ 0xc9ec2280, "pcie_capability_read_dword" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xf80f6e90, "pci_load_and_free_saved_state" },
	{ 0x06df5190, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xe54d5fc5, "pci_disable_device" },
	{ 0xea5d8def, "pci_match_id" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x4afe4bef, "pci_check_and_unmask_intx" },
	{ 0xd01ed1d4, "pcie_set_readrq" },
	{ 0x11a23e7c, "pci_walk_bus" },
	{ 0x4828d576, "pci_msix_alloc_irq_at" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xf9b6ff3d, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2f62f7be, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xb26e3e5d, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xbb7b0d5e, "vga_set_legacy_decoding" },
	{ 0x53e8b591, "vmf_insert_pfn_pmd" },
	{ 0xecaa8ea1, "vmf_insert_pfn_pud" },
	{ 0x1bce27ae, "__vma_start_write" },
	{ 0x11c33f96, "pci_dev_unlock" },
	{ 0x26f16907, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0c10e997, "eventfd_signal_mask" },
	{ 0x3bc0501e, "pci_free_irq_vectors" },
	{ 0xb93e2d63, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x1c31cb1d, "__pm_runtime_idle" },
	{ 0xffd44474, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x89325282, "pci_bus_type" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xfb99e3b0, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xebd8226d, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x267761d5, "pci_read_vpd" },
	{ 0xdc4f4c34, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa7ea4e66, "pci_request_selected_regions" },
	{ 0x05a5001b, "pci_release_selected_regions" },
	{ 0x7008d001, "pci_user_write_config_byte" },
	{ 0xbae0b387, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xcf1bfa5c, "pci_bus_max_busnr" },
	{ 0x729ddff1, "pci_check_and_mask_intx" },
	{ 0xca5cf268, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x3ae2e1b0, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xd3916939, "pci_enable_atomic_ops_to_root" },
	{ 0xab16e3dd, "__iowrite64_lo_hi" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xf00c1492, "pci_dev_put" },
	{ 0x41e9b3cd, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x79afb2e3, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa329b835, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xe900cd5e, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb09a309e, "unmap_mapping_range" },
	{ 0x5bccf0e8, "pci_user_read_config_dword" },
	{ 0x037a0cba, "kfree" },
	{ 0x599d6515, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1ab2dd05, "pci_probe_reset_bus" },
	{ 0x06a86bc1, "iowrite16" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "53018C76B990CA97685DB21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
