#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0x5287e7ca, "");
SYMBOL_CRC(v9fs_unregister_trans, 0xc8b3b555, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x10c0baf8, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x59fd4164, "");
SYMBOL_CRC(p9_is_proto_dotl, 0xcc8f3c31, "");
SYMBOL_CRC(p9_is_proto_dotu, 0xf2b93cd4, "");
SYMBOL_CRC(p9_show_client_options, 0x50ca8cb0, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x4674ccde, "");
SYMBOL_CRC(p9_req_put, 0x32aced34, "");
SYMBOL_CRC(p9_client_cb, 0x2ec97a34, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0xa9378851, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xf0b50b5a, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0x5f192ae5, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xe17f7236, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x26205147, "");
SYMBOL_CRC(p9_client_create, 0xfdd56169, "");
SYMBOL_CRC(p9_client_destroy, 0x1d3f82b7, "");
SYMBOL_CRC(p9_client_disconnect, 0xac096e42, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x3beff8e5, "");
SYMBOL_CRC(p9_client_attach, 0xbba633a5, "");
SYMBOL_CRC(p9_client_walk, 0xca0bee45, "");
SYMBOL_CRC(p9_client_open, 0xc4c2b762, "");
SYMBOL_CRC(p9_client_create_dotl, 0x3f1893cf, "");
SYMBOL_CRC(p9_client_fcreate, 0x4ee204aa, "");
SYMBOL_CRC(p9_client_symlink, 0x5260d8d7, "");
SYMBOL_CRC(p9_client_link, 0xf0017e08, "");
SYMBOL_CRC(p9_client_fsync, 0x79fe28ec, "");
SYMBOL_CRC(p9_client_clunk, 0xb30b6651, "");
SYMBOL_CRC(p9_client_remove, 0x16d14f43, "");
SYMBOL_CRC(p9_client_unlinkat, 0x1b5161db, "");
SYMBOL_CRC(p9_client_read, 0xe04067b4, "");
SYMBOL_CRC(p9_client_read_once, 0xfbad102e, "");
SYMBOL_CRC(p9_client_write, 0xfad6b7ca, "");
SYMBOL_CRC(p9_client_write_subreq, 0x8e4ac655, "");
SYMBOL_CRC(p9_client_stat, 0xa2178ddb, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x5e291429, "");
SYMBOL_CRC(p9_client_wstat, 0x48ccf1fc, "");
SYMBOL_CRC(p9_client_setattr, 0x840dd655, "");
SYMBOL_CRC(p9_client_statfs, 0x2e090e4b, "");
SYMBOL_CRC(p9_client_rename, 0xe624a4a6, "");
SYMBOL_CRC(p9_client_renameat, 0x600343af, "");
SYMBOL_CRC(p9_client_xattrwalk, 0xe018ec00, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0xcf0bbab1, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x6f12795c, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xf027e135, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x838bcfda, "");
SYMBOL_CRC(p9_client_lock_dotl, 0xd0cff110, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xb4528384, "");
SYMBOL_CRC(p9_client_readlink, 0x3f30fcee, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xefc0e283, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x4244b47e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x43d65fb2, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x1fa54d8e, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x36f12e16, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x84bb2c52, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3ae0a4b8, "from_kgid" },
	{ 0xdeea02df, "const_current_task" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0x1e326a89, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x04680921, "from_kuid" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26fa2922, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd38aaf5e, "make_kgid" },
	{ 0x4fcef7df, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x76134e8a, "bpf_trace_run3" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x9867c5d4, "init_user_ns" },
	{ 0x806537ce, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x88db4bda, "__folio_put" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xfb471f37, "seq_printf" },
	{ 0xecc64a3a, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x754d539c, "strlen" },
	{ 0xce93953a, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd5d5a897, "kmem_cache_destroy" },
	{ 0x1f52e247, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa517be28, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x545b8c2d, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "0307F8A60B5D7F2D1E157F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
