#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xf8842c28, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xbf2a6817, "");
SYMBOL_CRC(ieee802154_free_hw, 0x540cde77, "");
SYMBOL_CRC(ieee802154_register_hw, 0xcdec0da9, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0xaa7a300e, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x61c4c91c, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xb297e197, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xd01d0b71, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x00417ef9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xa090a310, "__alloc_skb" },
	{ 0x80a654e4, "skb_copy_expand" },
	{ 0xe2852adc, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x726d40ca, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x36f12e16, "perf_trace_run_bpf_submit" },
	{ 0x47b7770e, "cfg802154_get_free_short_addr" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1d299e7f, "wpan_phy_register" },
	{ 0xa3852aad, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49cf4e92, "crypto_aead_encrypt" },
	{ 0x9873f8ce, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e452e53, "skb_push" },
	{ 0xb039a334, "ieee802154_hdr_peek" },
	{ 0x8bb085d0, "wpan_phy_free" },
	{ 0xd56a9d0d, "netif_receive_skb" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf877e8eb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x284165d2, "bpf_trace_run1" },
	{ 0x7ced36af, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x02a773cb, "_dev_warn" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa977702a, "ieee802154_hdr_pull" },
	{ 0xda7a246e, "nl802154_scan_event" },
	{ 0x274f5527, "crypto_alloc_sync_skcipher" },
	{ 0x2b40300a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaa335824, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x76134e8a, "bpf_trace_run3" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x2a30b4cb, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x49f68e04, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e4725d7, "wpan_phy_new" },
	{ 0x1aaf85e8, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0xd0fdc677, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x37dbb9c6, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xeefe15f0, "cfg802154_device_is_parent" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x8fdfeea2, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc0db1cf4, "register_netdevice" },
	{ 0x2dc83b2f, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x545b8c2d, "bpf_trace_run4" },
	{ 0xcb383408, "nl802154_beaconing_done" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x5a78bfab, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa343473a, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0xca1a1abb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xa9013ab7, "dev_alloc_name" },
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xd14de5d8, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe043ab77, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4244b47e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x43162735, "netdev_warn" },
	{ 0x6b863002, "crypto_aead_setauthsize" },
	{ 0xc23bf3b8, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x3e9c51eb, "crypto_skcipher_setkey" },
	{ 0x18397b18, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7abd0db2, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57a86bc6, "wpan_phy_unregister" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0xa866b510, "dev_addr_mod" },
	{ 0x6b7ca4c4, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6f2a3678, "alloc_netdev_mqs" },
	{ 0x204ba280, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2348e694, "nl802154_scan_started" },
	{ 0x85d8473c, "crypto_skcipher_decrypt" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "D3F2A7427765916901BB6D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
