#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(gss_mech_register, 0x28fe634b, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x9794adf4, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x37374eb6, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x43b7dd09, "");
SYMBOL_CRC(gss_mech_put, 0x03623860, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xec50f9b2, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x3e8e2075, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9c55f04, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x17ebe64c, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdeea02df, "const_current_task" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0xc611cd5d, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9745c36, "rpc_sleep_on_timeout" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6e7e6b6b, "rpc_create" },
	{ 0x284165d2, "bpf_trace_run1" },
	{ 0x33e14bc6, "rpc_call_sync" },
	{ 0x04680921, "from_kuid" },
	{ 0xb39a1dd8, "unregister_pernet_subsys" },
	{ 0x655e213f, "rpc_queue_upcall" },
	{ 0xd6122a03, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb0b4a321, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8bd6be53, "svcauth_unix_set_client" },
	{ 0xf334f2e3, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xd38aaf5e, "make_kgid" },
	{ 0x699b5f15, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xc0fd3f15, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce585b45, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x76134e8a, "bpf_trace_run3" },
	{ 0x00e9cab8, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4a60d0c3, "rpc_mkpipe_dentry" },
	{ 0x69e61564, "rpc_mkpipe_data" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x9b4cdfc0, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xf918d734, "cache_register_net" },
	{ 0x9867c5d4, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdfb669c1, "xdr_inline_pages" },
	{ 0x88db4bda, "__folio_put" },
	{ 0xf61fa620, "remove_proc_entry" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0x0be49539, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd8b533dd, "alloc_pages_noprof" },
	{ 0x1611bdba, "rpc_unlink" },
	{ 0x769b77a5, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x079f84f0, "from_kuid_munged" },
	{ 0x542e59c7, "rpcauth_init_cred" },
	{ 0xf288bde5, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb7fb14e8, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x4aeac644, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9717f47d, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xd959e784, "sunrpc_cache_update" },
	{ 0xfe5bf393, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x05b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd0f5866c, "auth_domain_put" },
	{ 0xe8be571d, "rpcauth_unwrap_resp_decode" },
	{ 0xd48d22ba, "rpcauth_register" },
	{ 0x553500c2, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x1f52e247, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf558561a, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x2367048d, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x545b8c2d, "bpf_trace_run4" },
	{ 0xd03a3328, "xdr_stream_decode_opaque_auth" },
	{ 0x1bb837e1, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x12c118b6, "xdr_write_pages" },
	{ 0x2ab49349, "rpc_shutdown_client" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xfe48e80c, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf240c9c6, "xdr_inline_decode" },
	{ 0xf65c6e06, "cache_create_net" },
	{ 0x1a4d3583, "rpcauth_destroy_credcache" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x0f212548, "bpf_trace_run6" },
	{ 0xf8f047a7, "rpc_net_ns" },
	{ 0x29d1b19a, "read_bytes_from_xdr_buf" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x020babf0, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x682b9997, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x4244b47e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xde775655, "xdr_truncate_decode" },
	{ 0x30eaf33b, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb1001661, "__xdr_commit_encode" },
	{ 0x19fe97d7, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcf93bacf, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x091249a8, "__put_cred" },
	{ 0x186e398b, "register_pernet_subsys" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc448609, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x930e8726, "rpc_release_client" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x33269370, "auth_domain_lookup" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb8906d3e, "svc_auth_register" },
	{ 0x34c5a570, "xdr_stream_encode_opaque_auth" },
	{ 0x43d65fb2, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x404c869a, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x94d51d97, "__free_pages" },
	{ 0x799e5116, "rpc_pipe_generic_upcall" },
	{ 0x1fa54d8e, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x9a077409, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5368075e, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x36f12e16, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xade0e84d, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x7cfd53f4, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "6969FCD552F61778117FF1A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
