#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0xab8cef2d, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0x1dd9e9f2, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x1780bc3b, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0xf38257ca, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x2da9fd73, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0x18a996de, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0xb93be622, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0x24d9a9f1, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0x554cb883, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0x184171ed, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0x600accfe, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0x4f7d507b, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0xe384773c, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0x97714f64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f591c91, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf3fc61db, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1c44802, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x95d0a1b7, "regmap_bulk_read" },
	{ 0x48f1de67, "regmap_update_bits_base" },
	{ 0x7333f69a, "regmap_multi_reg_write" },
	{ 0x884f14e7, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x355d9a43, "regmap_write" },
	{ 0x037a0cba, "kfree" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8C0FE5DE002EC302DD0C835");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
